<template>
  <q-layout view="hHh lpR fFf">

    <q-header elevated class="bg-primary text-white">
      <q-toolbar>
        <q-toolbar-title>
          <q-avatar>
            <q-btn :to="{ name: 'List Quotes' }">
              <q-icon name="church" size="30px"/>
            </q-btn>
          </q-avatar>
          Glorify the Lord
        </q-toolbar-title>
      </q-toolbar>
    </q-header>

    <q-page-container>
      <router-view></router-view>
    </q-page-container>

  </q-layout>
</template>

<script>
import { useMeta } from 'quasar';

export default {
  setup() {
    useMeta(
      {
        titleTemplate: (title) => `GtL • ${title}`
      }
    )
  }
}

</script>